Read one visible tenant.
GET
/v1/tenants/{tenantNumber}
const url = 'https://api.dev.iot-sens.schlossers.at/v1/tenants/1';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.dev.iot-sens.schlossers.at/v1/tenants/1 \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”tenantNumber
required
integer format: int32
Responses
Section titled “Responses”Tenant details.
Media typeapplication/json
object
tenantId
required
string format: uuid
tenantNumber
required
integer format: int32
key
required
string
name
required
string
status
required
string
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
Example
{ "status": "active"}default
Section titled “default”A safe platform error response.
Media typeapplication/json
object
error
required
object
Example
{ "error": { "code": "VALIDATION_FAILED", "category": "validation" }}Headers
Section titled “Headers”Cache-Control
string